# Copyright (c) 2010-2022, Lawrence Livermore National Security, LLC. Produced
# at the Lawrence Livermore National Laboratory. All Rights reserved. See files
# LICENSE and NOTICE for details. LLNL-CODE-806117.
#
# This file is part of the MFEM library. For more information and source code
# availability visit https://mfem.org.
#
# MFEM is free software; you can redistribute it and/or modify it under the
# terms of the BSD-3 license. We welcome feedback and contributions, see file
# CONTRIBUTING.md for details.

# Variables corresponding to defines in config.hpp (YES, NO, or value)
MFEM_VERSION           = 40400
MFEM_VERSION_STRING    = 4.4
MFEM_SOURCE_DIR        = /home/abuild/rpmbuild/BUILD/mfem-4.4
MFEM_INSTALL_DIR       = /opt/ohpc/pub/libs/gnu14/openmpi5/mfem/4.4
MFEM_GIT_STRING        =
MFEM_USE_MPI           = YES
MFEM_USE_METIS         = YES
MFEM_USE_METIS_5       = YES
MFEM_DEBUG             = NO
MFEM_USE_EXCEPTIONS    = NO
MFEM_USE_ZLIB          = NO
MFEM_USE_LIBUNWIND     = NO
MFEM_USE_LAPACK        = NO
MFEM_THREAD_SAFE       = NO
MFEM_USE_LEGACY_OPENMP = NO
MFEM_USE_OPENMP        = NO
MFEM_USE_MEMALLOC      = YES
MFEM_TIMER_TYPE        = 2
MFEM_USE_SUNDIALS      = NO
MFEM_USE_MESQUITE      = NO
MFEM_USE_SUITESPARSE   = NO
MFEM_USE_SUPERLU       = YES
MFEM_USE_SUPERLU5      = $(MFEM_USE_SUPERLU5)
MFEM_USE_MUMPS         = NO
MFEM_USE_STRUMPACK     = NO
MFEM_USE_GINKGO        = NO
MFEM_USE_AMGX          = NO
MFEM_USE_GNUTLS        = NO
MFEM_USE_NETCDF        = YES
MFEM_USE_PETSC         = YES
MFEM_USE_SLEPC         = NO
MFEM_USE_MPFR          = NO
MFEM_USE_SIDRE         = NO
MFEM_USE_FMS           = NO
MFEM_USE_CONDUIT       = NO
MFEM_USE_PUMI          = NO
MFEM_USE_HIOP          = NO
MFEM_USE_GSLIB         = NO
MFEM_USE_CUDA          = NO
MFEM_USE_HIP           = NO
MFEM_USE_RAJA          = NO
MFEM_USE_OCCA          = NO
MFEM_USE_CEED          = NO
MFEM_USE_CALIPER       = NO
MFEM_USE_UMPIRE        = NO
MFEM_USE_SIMD          = NO
MFEM_USE_ADIOS2        = NO
MFEM_USE_MKL_CPARDISO  = NO
MFEM_USE_ADFORWARD     = NO
MFEM_USE_CODIPACK      = NO
MFEM_USE_BENCHMARK     = NO
MFEM_USE_PARELAG       = NO

# Compiler, compile options, and link options
MFEM_CXX       = mpicxx
MFEM_HOST_CXX  = mpicxx
MFEM_CPPFLAGS  =
MFEM_CXXFLAGS  = -O3 -g -pipe -Wall -fexceptions -fstack-protector-strong -grecord-gcc-switches -mtune=generic  -fPIC -std=c++11
MFEM_TPLFLAGS  = -I/opt/ohpc/pub/libs/gnu14/openmpi5/hypre/2.18.1/include -I/opt/ohpc/pub/libs/gnu14/openmpi5/superlu_dist/6.4.0/include -I/opt/ohpc/pub/libs/gnu14/metis/5.1.0/include -I/opt/ohpc/pub/libs/gnu14/openmpi5/netcdf/4.9.2/include -I/opt/ohpc/pub/libs/gnu14/openmpi5/petsc/3.18.1/include
MFEM_INCFLAGS  = -I$(MFEM_INC_DIR) $(MFEM_TPLFLAGS)
MFEM_PICFLAG   = -fPIC
MFEM_FLAGS     = $(MFEM_CPPFLAGS) $(MFEM_CXXFLAGS) $(MFEM_INCFLAGS)
MFEM_EXT_LIBS  = -L/opt/ohpc/pub/libs/gnu14/openmpi5/hypre/2.18.1/lib -lHYPRE -L/opt/ohpc/pub/libs/gnu14/openmpi5/superlu_dist/6.4.0/lib -lsuperlu_dist -L/opt/ohpc/pub/libs/gnu14/metis/5.1.0/lib -lmetis -L/opt/ohpc/pub/libs/gnu14/openmpi5/netcdf/4.9.2/lib -lnetcdf -L/opt/ohpc/pub/libs/gnu14/openmpi5/petsc/3.18.1/lib -lpetsc -lrt
MFEM_LIBS      = -Wl,-rpath,$(MFEM_LIB_DIR) -L$(MFEM_LIB_DIR) -lmfem $(MFEM_EXT_LIBS)
MFEM_LIB_FILE  = $(MFEM_LIB_DIR)/libmfem.so.4.4
MFEM_STATIC    = NO
MFEM_SHARED    = YES
MFEM_BUILD_TAG = Linux openeuler-aarch64-0001.novalocal aarch64
MFEM_PREFIX    = /opt/ohpc/pub/libs/gnu14/openmpi5/mfem/4.4
MFEM_INC_DIR   = /opt/ohpc/pub/libs/gnu14/openmpi5/mfem/4.4/include
MFEM_LIB_DIR   = /opt/ohpc/pub/libs/gnu14/openmpi5/mfem/4.4/lib

# Location of test.mk
MFEM_TEST_MK = /opt/ohpc/pub/libs/gnu14/openmpi5/mfem/4.4/share/mfem/test.mk

# Command used to launch MPI jobs
MFEM_MPIEXEC    = mpirun
MFEM_MPIEXEC_NP = -np
MFEM_MPI_NP     = 4

# The NVCC compiler cannot link with -x=cu
MFEM_LINK_FLAGS := $(filter-out -x=cu -xhip, $(MFEM_FLAGS))

# Optional extra configuration
